curl --request PATCH \
--url https://api.sandbox.asapp.com/configuration/v1/redaction-entities/{entityId} \
--header 'Content-Type: application/json' \
--header 'asapp-api-id: <api-key>' \
--header 'asapp-api-secret: <api-key>' \
--data '
{
"policies": {
"customerImmediate": false,
"customerDelayed": false,
"agentImmediate": false
}
}
'import requests
url = "https://api.sandbox.asapp.com/configuration/v1/redaction-entities/{entityId}"
payload = { "policies": {
"customerImmediate": False,
"customerDelayed": False,
"agentImmediate": False
} }
headers = {
"asapp-api-id": "<api-key>",
"asapp-api-secret": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'asapp-api-id': '<api-key>',
'asapp-api-secret': '<api-key>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
policies: {customerImmediate: false, customerDelayed: false, agentImmediate: false}
})
};
fetch('https://api.sandbox.asapp.com/configuration/v1/redaction-entities/{entityId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "CREDIT_CARD_NUMBER",
"description": "Redacts credit card number",
"policies": {
"customerImmediate": false,
"customerDelayed": false,
"agentImmediate": false
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "400-01",
"message": "Bad request"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "401-01",
"message": "Unauthorized"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "403-01",
"message": "Forbidden Response"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "404-01",
"message": "Not Found"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "409-01",
"message": "Conflict"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "413-01",
"message": "Request Entity Too Large"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "422-01",
"message": "Unprocessable Entity"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "429-01",
"message": "Too Many Requests"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "500-01",
"message": "Internal server error"
}
}{
"error": {
"requestId": "8e033668-9f1a-11ec-b909-0242ac120002",
"code": "503-01",
"message": "Service Unavailable"
}
}Update a redaction entity
Update the policies of a specific redaction entity. Only the policies field can be modified.
Path Parameters
Identifier of the entity
Body
A set of policies that control when and how redaction is applied. Each policy can be enabled or disabled independently. Some entities may have a subset of policies. Specifying a policy that is not applicable to an entity will be ignored.
Show child attributes
Show child attributes
Response
Successfully updated the redaction entity.
The id of the redaction entity
"CREDIT_CARD_NUMBER"
The description of the redaction entity
""
A set of policies that control when and how redaction is applied. Each policy can be enabled or disabled independently. Some entities may have a subset of policies. Specifying a policy that is not applicable to an entity will be ignored.
Show child attributes
Show child attributes
Was this page helpful?